import Foundation

// MARK: - Example Logging Header

/// Converts a string into a header with a box around it.
///
/// - Parameter named: The contents of the header.
/// - Returns: An ascii art box.
public func header(with string: String) -> String
{
    let line = Array(repeating: "-", count: string.characters.count+4).joined(separator: "")
    return "\n\(line)\n- \(string) -\n\(line)"
}
