import UIKit

public class PlaygroundWindow: UIWindow {
    
    public init(configuration: DeviceConfiguration)
    {
        let rect = CGRect(x: 0, y: 0, width: configuration.width, height: configuration.height)
        super.init(frame: rect)
        
        self.translatesAutoresizingMaskIntoConstraints = false
        
    }
    
    required public init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
